cPanel PHP 5.6, PHP 7.0, PHP 7.1 or PHP 7.2RC2

cpanel Nov 28, 2017

For those that blame always the service provider about the PHP Extensions or options, almost cPanel servers are already prepared for MultiPHP versions.

Some companies have CloudLinux and use the "Select PHP Version", other, since version 64, use the MultiPHP built-in module.

Let's see how to do it for the CloudLinux.

First, access to your control panel with your user information

cpanel-login-screen

After accessing to your cPanel, search for this icon

cpanel-php-select-icon

Did you find it? Cool! You can now change the PHP Version using the select box in the top of the page.

cpanel-php-select-php

After changing the version of PHP and click on "Set as current", you will be allowed to change the extensions of PHP version selected, plus, change the options for most common variables, like memory_limit, post_max_size, etc.

cpanel-php-select-options

As you can see, you can change the values for that resources, allowing to debug some erros and solve issues based on code output.